/*
 * Copyright (c) 2006-2011 Maskat Project.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Maskat Project - initial API and implementation
 */
package jp.sf.maskat.ui;

import jp.sf.maskat.ui.wizards.nature.AddMaskatNatureWizard;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;

/**
 * マスカットプロジェクトへの変換を行う時に呼ばれるクラスです。
 * 
 * パッケージ・エクスプローラのコンテキストメニュー「マスカット
 * プロジェクトに変換」によって呼び出され、マスカットプロジェク
 * トへの変換ウィザードを起動します。
 *
 */
public class AddNatureAction extends Action
		implements IObjectActionDelegate {

	/**
	 * ワークベンチのルートウィンドウ
	 * */
	private Shell shell;

	/**
	 * ワークベンチ上で選択された項目 (単一の IProject を含む)
	 **/
	private ISelection selection;

    /**
     * {@inheritDoc}
     */
	public void setActivePart(IAction action, IWorkbenchPart targetPart) {
		this.shell = targetPart.getSite().getShell();
	}

    /**
     * {@inheritDoc}
     */
	public void selectionChanged(IAction action, ISelection selection) {
		this.selection = selection;
	}

    /**
     * {@inheritDoc}
     */
	public void run(IAction action) {
		WizardDialog dialog = new WizardDialog(shell,
				new AddMaskatNatureWizard(this.selection));
		dialog.open();
	}
}

