/*
 * Copyright (c) 2006-2011 Maskat Project.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Maskat Project - initial API and implementation
 */
package jp.sf.maskat.ui.views.properties.tabbed.beanwrapper;

import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.jface.action.IMenuManager;
import org.eclipse.jface.action.Separator;

import jp.sf.maskat.core.event.Source;
import jp.sf.maskat.ui.Messages;
import jp.sf.maskat.ui.views.properties.tabbed.action.DeleteSourceNodeAction;
import jp.sf.maskat.ui.views.properties.tabbed.treenodewrapper.AbstractTreeNode;


public class Validation extends AbstractTreeNode {

	private static final String DATA_BALIDATION_LABEL =
		Messages.getString("validation.dataValidation"); //$NON-NLS-1$

	
	public Validation(Source source) {
		super(source);
	}

	public String getDisplayText() {
		if (((Source)maskatElement).getType() != null)
		{
			return DATA_BALIDATION_LABEL;
		}
		return DATA_BALIDATION_LABEL;
	}
	
	public IMenuManager fillContextMenu(final TreeViewer treeViewer, IMenuManager manager) {
		if(isDeletable()) {
			if(manager.getItems().length > 0) {
				manager.add(new Separator());
			}
			manager.add(new DeleteSourceNodeAction(treeViewer, this));
		}
		return manager;
	}
}
